Bug 123879 - Display blanks when keyboard / mouse are being used (dpms?)
Display blanks when keyboard / mouse are being used (dpms?)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 05:48 EDT by David Stark
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 15:36:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Stark 2004-05-21 05:48:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
When 'Display power management' is enabled in the KDE control centre,
the display blanks and puts the monitor into standby at seemingly
random times. This happens even when the mouse / keyboard are in use.

Switching off display power management solves the problem, but
obviously also disables dpms functionality.

I'm using the binary nVidia drivers, and a vanilla 2.6.6 kernel with
acpi compiled in.

This was not a problem in Fedora Core 1 with KDE 3.2.2 installed from
the rpms on www.kde.org, and the same 2.6.6 kernel.

Version-Release number of selected component (if applicable):
kdebase-3.2.2-4

How reproducible:
Always

Steps to Reproduce:
1. Switch on 'Display power management' in KDE Control Centre
2. Use keyboard and mouse (in a normal manner)
3. Display blanks and goes into standby
4. Moving mouse or keyboard wakes monitor again
    

Additional info:
Comment 1 Alan Cox 2004-05-21 18:48:49 EDT
Please duplicate the bug with the "nv" driver. If you can then add to
this bug if you cannot then let Nvidia know instead.
Comment 2 David Stark 2004-05-21 19:45:14 EDT
The problem persists when using the 'nv' driver.
Comment 3 Alan Cox 2004-05-21 20:44:07 EDT
Can you boot with the options acpi=off apm=off and see if it still
occurs ?
Comment 4 David Stark 2004-05-21 21:30:30 EDT
Still happening after booting with:
/bzImage acpi=off apmd=off

Screen blanked exactly 20 minutes after X started. In KDE control
center, settings are:
Standby after: Disabled
Suspend after: 30 min
Power off after: Disabled
Comment 5 Jonathan Rawle 2004-05-28 05:29:43 EDT
This appears to be a bug exclusive to KDE. It doesn't happen when 
logging in to Gnome. This problem occurs for me with the nv driver 
and the standard kernel shipped with FC2. 
 
I have DPMS set to Standby after 60 minutes in the KDE Control 
Centre, and the screen blanks 30 minutes after logging in, then 
again 10 minutes later. After that it doesn't seem to happen until 
the next login. 
 
Comment 6 Ian Pilcher 2004-05-29 12:13:55 EDT
FYI, I also see this with the mga driver (Matrox Millenium G200 AGP).
 This is a 2-way system (Abit VP6) -- kernel 2.6.5-1.358smp booted
with 'acpi=off apm=power-off noapic vga=775'.
Comment 7 Jonathan Rawle 2004-08-27 07:21:34 EDT
This appears to be an xorg bug. I found that adding some DPMS 
options to the ServerLayout section solved this problem for me. 
Please see: 
https://freedesktop.org/bugzilla/show_bug.cgi?id=792 
 
Comment 8 Dawid Gajownik 2004-12-15 14:02:37 EST
https://bugs.freedesktop.org/show_bug.cgi?id=1934 <- this should
resolve the problem.
Comment 9 Mike A. Harris 2005-03-06 15:36:30 EST
This is fixed in xorg-x11-6.8.2 in rawhide, which will also be
released as an update to Fedora Core 3 soon.  Please upgrade
to Fedora Core 3, and apply this update once it is available.

Setting status to "RAWHIDE".

Note You need to log in before you can comment on or make changes to this bug.